filter.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::TFE
| Trace filter expressions. More...
class | Gecode::TFE::Node
| Node for trace filter expression. More...
class | Gecode::TraceFilter
| Trace filters. More...
class | Gecode::TraceFilter::TFO
| The actual object storing the shared filters. More...
struct | Gecode::TraceFilter::TFO::Filter
| Filter information. More...
class | Gecode::TraceFilter::TFO::StackFrame

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

TFE | Gecode::operator+ (TFE l, const TFE &r)
| Disjunctive combination of trace filter expressions l and r.
TFE | Gecode::operator+ (const TFE &e)
| Positive expression.
TFE | Gecode::operator- (TFE l, const TFE &r)
| Combine positive expression l and negative expression r.
TFE | Gecode::operator- (const TFE &e)
| Return negative expression of e.
TFE | Gecode::propagator (PropagatorGroup g)
| Only propagators (but not post functions) from g are considered.
TFE | Gecode::post (PropagatorGroup g)
| Only post functions (but not propagators) from g are considered.